ZF-2765: Unit test errors on Linux without mcrypt enabled

Description

Unit test errors on PHP 5.2.5 without mcrypt enabled, PHPUnit 3.2.15:

1) testCertificatePairs(Zend_InfoCard_ProcessTest)
Zend_InfoCard_Exception: Use of the Zend_InfoCard component requires the mcrypt extension to be enabled in PHP
/home/darby/framework/trunk/tests/Zend/InfoCard/ProcessTest.php:67

2) testStandAloneProcess(Zend_InfoCard_ProcessTest)
Zend_InfoCard_Exception: Use of the Zend_InfoCard component requires the mcrypt extension to be enabled in PHP
/home/darby/framework/trunk/tests/Zend/InfoCard/ProcessTest.php:126

3) testPlugins(Zend_InfoCard_ProcessTest)
Zend_InfoCard_Exception: Use of the Zend_InfoCard component requires the mcrypt extension to be enabled in PHP
/home/darby/framework/trunk/tests/Zend/InfoCard/ProcessTest.php:138

4) testClaims(Zend_InfoCard_ProcessTest)
Zend_InfoCard_Exception: Use of the Zend_InfoCard component requires the mcrypt extension to be enabled in PHP
/home/darby/framework/trunk/tests/Zend/InfoCard/ProcessTest.php:166

5) testCipherFactory(Zend_InfoCard_CipherTest)
Use of undefined constant MCRYPT_RIJNDAEL_128 - assumed 'MCRYPT_RIJNDAEL_128'
/home/darby/framework/trunk/library/Zend/InfoCard/Cipher.php:89
/home/darby/framework/trunk/tests/Zend/InfoCard/CipherTest.php:81

Comments

Resolved in trunk with SVN r8678 and for 1.5.0RC2 with SVN r8679.

Fixed in trunk with SVN r8789, but still needs to be merged to release-1.5.

Resetting 'fix version priority' and 'fix version' to be re-evaluated for next release.

Resolved with SVN r9187.

Updating for the 1.6.0 release.